Bug 18664 - IssueSlip.t is failing - IssueSlip should return if params are not valid
Summary: IssueSlip.t is failing - IssueSlip should return if params are not valid
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 17762
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-23 19:33 UTC by Jonathan Druart
Modified: 2018-06-04 20:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18664: Make IssueSlip returns if params are not valid (2.01 KB, patch)
2017-05-23 19:34 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18664: Make IssueSlip returns if params are not valid (2.12 KB, patch)
2017-05-24 06:02 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18664: Make IssueSlip returns if params are not valid (2.21 KB, patch)
2017-05-26 06:11 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-05-23 19:33:10 UTC
Problem raised by bug 17762: IssueSlip should return if the params are not valid.
The tests contain 2 FIXME to highlight this problem already, it's time to fix them.

Note that, theoretically, this change may produce software error. Indeed the caller expecting a hashref (letter) will access the "content" key. But that should not happen.
Comment 1 Jonathan Druart 2017-05-23 19:34:22 UTC
Created attachment 63673 [details] [review]
Bug 18664: Make IssueSlip returns if params are not valid

Problem raised by bug 17762: IssueSlip should return if the params are
not valid.
The tests contain 2 FIXME to highlight this problem already, it's time
to fix them.

Note that, theoretically, this change may produce software error. Indeed
the caller expecting a hashref (letter) will access the "content" key.
But that should not happen.

Test plan:
Tests must return green
Comment 2 Josef Moravec 2017-05-24 06:02:16 UTC
Created attachment 63682 [details] [review]
[SIGNED-OFF] Bug 18664: Make IssueSlip returns if params are not valid

Problem raised by bug 17762: IssueSlip should return if the params are
not valid.
The tests contain 2 FIXME to highlight this problem already, it's time
to fix them.

Note that, theoretically, this change may produce software error. Indeed
the caller expecting a hashref (letter) will access the "content" key.
But that should not happen.

Test plan:
Tests must return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Marcel de Rooy 2017-05-26 06:11:29 UTC
Created attachment 63726 [details] [review]
Bug 18664: Make IssueSlip returns if params are not valid

Problem raised by bug 17762: IssueSlip should return if the params are
not valid.
The tests contain 2 FIXME to highlight this problem already, it's time
to fix them.

Note that, theoretically, this change may produce software error. Indeed
the caller expecting a hashref (letter) will access the "content" key.
But that should not happen.

Test plan:
Tests must return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2017-05-29 02:26:48 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 5 Katrin Fischer 2017-06-05 12:53:46 UTC
Depends on bug 17762 which is not in 16.11.x.